Bug 239574 - security/lego: Update to 2.7.2
Summary: security/lego: Update to 2.7.2
Status: New
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-01 11:34 UTC by Matthew Horan
Modified: 2019-08-15 20:24 UTC (History)
1 user (show)

See Also:


Attachments
Update security/lego to 2.7.2 (900 bytes, patch)
2019-08-01 11:34 UTC, Matthew Horan
no flags Details | Diff
Update security/lego to 3.0.0 (21.74 KB, patch)
2019-08-09 02:05 UTC, Matthew Horan
no flags Details | Diff
Update security/lego to 3.0.2 (21.83 KB, patch)
2019-08-15 20:24 UTC, Matthew Horan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Horan 2019-08-01 11:34:39 UTC
Created attachment 206193 [details]
Update security/lego to 2.7.2
Comment 1 Matthew Horan 2019-08-09 02:05:02 UTC
Created attachment 206384 [details]
Update security/lego to 3.0.0

lego 3.0.0 has been released. lego now uses go modules instead of vendored packages. This patch updates the port to use go modules and GH_TUPLE to vendor dependencies.

Note that one dependency is referenced by multiple names, requiring a post-extract hack.
Comment 2 peter 2019-08-14 17:13:15 UTC
Lego v3.0.0 fixed some critical issues.
Please, update the port.
Comment 3 Matthew Horan 2019-08-15 20:24:48 UTC
Created attachment 206593 [details]
Update security/lego to 3.0.2

Latest version is now 3.0.2; patch attached.